package com.bjsxt.springbootjdbc.controller;

import com.bjsxt.springbootjdbc.pojo.User;
import com.bjsxt.springbootjdbc.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.sql.DataSource;
import java.util.List;

@Controller
@RequestMapping("/user")
public class UsersController {
    @Autowired
    UserService userService;
    @RequestMapping("/addUser")
    private String showInfo(User user){
        try {
            userService.addUser(user);
        } catch (Exception e) {
            e.printStackTrace();
            return "error";
        }
        return "ok";
    }
    @RequestMapping("/findAllUser")
    private String findAllUser(Model model){
        try {
            List<User> allUser = userService.findAllUser();
            model.addAttribute("list",allUser);
        } catch (Exception e) {
            e.printStackTrace();
            return "error";
        }
        return "showAllUser";
    }
}
