package com.bjsxt.springbootjdbc.service.impl;

import com.bjsxt.springbootjdbc.dao.UserDao;
import com.bjsxt.springbootjdbc.pojo.User;
import com.bjsxt.springbootjdbc.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class UserServiceImpl implements UserService {
    @Autowired
   private UserDao userDao;
    @Override
    @Transactional//@Transactional注解在代码执行出错的时候能够进行事务的回滚。
    public void addUser(User user) {
        userDao.insertUser(user);
    }

    @Override
    public List<User> findAllUser() {
        List<User> allUser = userDao.findAllUser();
        return allUser;
    }
}
